<?php

namespace dashboard\modules\setting\models;

use Yii;

class Setting extends \common\models\Setting
{
    public function beforeSave($insert)
    {
        $len = mb_strlen($this->url);
        $url = $this->url;
        if($url[$len-1] != '/')
        {
            $this->url .= '/';
        }
        return parent::beforeSave($insert); // TODO: Change the autogenerated stub
    }

    public function dateTimeFormats()
    {
        return [
            'yyyy/MM/dd - HH:mm' => Yii::$app->date->asDatetime('now', 'yyyy/MM/dd - HH:mm'),
            'd MMMM yy - HH:mm' => Yii::$app->date->asDatetime('now', 'd MMMM yy - HH:mm'),
            'E d MMMM yy - HH:mm' => Yii::$app->date->asDatetime('now', 'E d MMMM yy - HH:mm'),
        ];
    }

    public function languageList()
    {
        return [
            'fa-IR' => Yii::t('app', 'Persian'),
            'en-US' => Yii::t('app', 'English'),
            'ru-RU' => Yii::t('app', 'Russian'),
        ];
    }

    public function getLanguageDir($language)
    {
        $directions = [
            'fa-IR' => 'rtl',
            'en-US' => 'ltr',
            'ru-RU' => 'ltr',
        ];

        return $directions[$language];
    }

    public function timezoneList()
    {
        $timezone = timezone_identifiers_list();
        $list = [];
        foreach ($timezone as $t)
        {
            $list[$t] = $t;
        }

        return $list;
    }
}
